ilalc(3)

NAME
ilalc - ilalc: find non-zero col

SYNOPSIS

  Functions

integer function ilaclc (m, n, a, lda)
ILACLC scans a matrix for its last non-zero column.
integer function iladlc (m, n, a, lda)
ILADLC scans a matrix for its last non-zero column.
integer function ilaslc (m, n, a, lda)
ILASLC scans a matrix for its last non-zero column.
integer function ilazlc (m, n, a, lda)
ILAZLC scans a matrix for its last non-zero column.

Detailed Description

Function Documentation

  integer function ilaclc (integer m, integer n, complex, dimension( lda, * ) a, integer lda)

ILACLC scans a matrix for its last non-zero column.

Purpose:

    !>
    !> ILACLC scans A for its last non-zero column.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function iladlc (integer m, integer n, double precision, dimension( lda, * ) a, integer lda)

ILADLC scans a matrix for its last non-zero column.

Purpose:

    !>
    !> ILADLC scans A for its last non-zero column.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function ilaslc (integer m, integer n, real, dimension( lda, * ) a, integer lda)

ILASLC scans a matrix for its last non-zero column.

Purpose:

    !>
    !> ILASLC scans A for its last non-zero column.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function ilazlc (integer m, integer n, complex*16, dimension( lda, * ) a, integer lda)

ILAZLC scans a matrix for its last non-zero column.

Purpose:

    !>
    !> ILAZLC scans A for its last non-zero column.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is COMPLEX*16 array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.